require "yaml"

class Config
  include YAML::Serializable

  property nick : String
  property oauth_token : String

  def self.load
    config_file = "config.yml"
    config_yaml = File.read(config_file)
    config = Config.from_yaml(config_yaml)
    config
  end
end
